ASDOMImplementationImpl (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.dom

## Class ASDOMImplementationImpl

- java.lang.Object
- - org.apache.xerces.dom.CoreDOMImplementationImpl
  - - org.apache.xerces.dom.DOMImplementationImpl
    - - org.apache.xerces.dom.ASDOMImplementationImpl

- All Implemented Interfaces:
    org.apache.xerces.dom3.as.DOMImplementationAS, org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS

  Deprecated.

      public class ASDOMImplementationImpl
      extends DOMImplementationImpl
      implements org.apache.xerces.dom3.as.DOMImplementationAS

  The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

  The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

  This particular class, along with DocumentImpl, supports the DOM Core, DOM Level 2 optional mofules, and Abstract Schemas (Experimental).

  Since:
    PR-DOM-Level-1-19980818.
  Version:
    $Id: ASDOMImplementationImpl.java 699892 2008-09-28 21:08:27Z mrglavas $

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS

      `MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASDOMImplementationImpl()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.dom3.as.ASModel` | `createAS(boolean isNamespaceAware)` Deprecated. DOM Level 3 WD - Experimental.
    `org.apache.xerces.dom3.as.DOMASBuilder` | `createDOMASBuilder()` Deprecated. DOM Level 3 WD - Experimental.
    `org.apache.xerces.dom3.as.DOMASWriter` | `createDOMASWriter()` Deprecated. DOM Level 3 WD - Experimental.
    `static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Deprecated. NON-DOM: Obtain and return the single shared object

    - ### Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl

      `createDocument, hasFeature`

    - ### Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl

      `assignDocTypeNumber, assignDocumentNumber, createDocument, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.DOMImplementation

      `createDocument, createDocumentType, getFeature`

- - ### Constructor Detail

    - #### ASDOMImplementationImpl

          public ASDOMImplementationImpl()

      Deprecated.

  - ### Method Detail

    - #### getDOMImplementation

          public static org.w3c.dom.DOMImplementation getDOMImplementation()

      Deprecated.
      NON-DOM: Obtain and return the single shared object

    - #### createAS

          public org.apache.xerces.dom3.as.ASModel createAS(boolean isNamespaceAware)

      Deprecated.
      DOM Level 3 WD - Experimental. Creates an ASModel.
      Specified by:
        `createAS` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
      Parameters:
        `isNamespaceAware` - Allow creation of `ASModel` with this attribute set to a specific value.
      Returns:
        A `null` return indicates failure.what is a failure? Could be a system error.

    - #### createDOMASBuilder

          public org.apache.xerces.dom3.as.DOMASBuilder createDOMASBuilder()

      Deprecated.
      DOM Level 3 WD - Experimental. Creates an `DOMASBuilder`.Do we need the method since we already have `DOMImplementationLS.createDOMParser`?
      Specified by:
        `createDOMASBuilder` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
      Returns:
        DOMASBuilder

    - #### createDOMASWriter

          public org.apache.xerces.dom3.as.DOMASWriter createDOMASWriter()

      Deprecated.
      DOM Level 3 WD - Experimental. Creates an `DOMASWriter`.
      Specified by:
        `createDOMASWriter` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
      Returns:
        a DOMASWriter

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.